> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-forklift-operator/installation.md).

# Installation

{% hint style="info" %}
Below are some important types and installation contents !
{% endhint %}

{% stepper %}
{% step %}

#### Install all resource dependencies <a href="#install-all-resource-dependencies" id="install-all-resource-dependencies"></a>

* [oxmysql](https://github.com/overextended/oxmysql/releases)
* [ox\_lib](https://github.com/overextended/ox_lib/releases)
* [bob74\_ipl](https://github.com/Bob74/bob74_ipl/archive/refs/tags/2.6.0.zip)
  {% endstep %}

{% step %}

#### Resource start order in **`server.cfg` file**

It's important for your resources to start in a logical order to prevent errors from missing dependencies

{% code title="server.cfg" %}

```lua
ensure oxmysql
ensure ox_lib
ensure bob74_ipl
ensure framework # the name of your framework (i.e. es_extended, qbx_core)
-- # other resources
ensure 0r-forkliftoperator
```

{% endcode %}
{% endstep %}

{% step %}

#### Done

Installation is complete, the script should start without problems.

{% hint style="info" %}
[Please read here for localization](/0resmon/0resmon-1/0r-resources/0r-forklift-operator/editing-localization-files.md)
{% endhint %}

Enjoy the script.
{% endstep %}
{% endstepper %}

{% hint style="danger" %}
The `insert-me.sql` file will `execute` `automatically`. You don't need to do anything !
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-forklift-operator/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
